git-export-patch(1)

Name

git-export-patch — produce perfect patch from git comits for mail submission

Syntax

git-export-patch [--tsvn] commit_range

Description

Exports the given commit-range as files which can then be sent using your favorita MUA.

Options

--tsvn
    Produce patches in TortoiseSVN format. This adds a normally redundant filler to the end of git-produced "---" lines, because TSVN so incredibly wants to see a tabulator or otherwise thinks there is no file in the patch. Furthermore, the patch is output in -p0 mode rather than the default -p1.

Examples

	git-export-patch HEAD~10..HEAD

will export the last ten commits. As usual with git, a commit range a..b does NOT include a, so you will be wanting to specify a^..b to get the "inclusive" behavior.

See also

hxtools(7)